Porting is required when a user wants to keep their phone number when changing their subscription. There are multiple steps involved between the user, their previous carrier, and the new subscriber
Type of object is always porting.
porting Unique identifier for the porting.
"prt_0SNlurA049MEWV39s2kSYqaat7ZS"The account number on the donor service provider.
"123456789"Whether the account PIN has been provided.
trueThe type of account on the donor service provider. This field is only used for portings in Ireland and may be null otherwise.
"prepaidUnregistered"postpaidMulti postpaidSingle prepaidRegistered prepaidUnregistered The behavior of the porting.
A value of portIn indicates that this porting
will transfer the phone number from the previous provider.
A porting with behavior cancelOnly will cancel
the previous service without transferring the number. This behavior is
currently only available for local plans in the United Kingdom.
"portIn"cancelOnly portIn Whether the billing PIN has been provided.
trueThe birthday of the account holder on the donor service provider.
"2017-07-21"Time when the porting was canceled.
"2021-01-21T19:39:53Z"Time when the porting was completed.
"2021-01-21T19:36:57Z"Time when the porting was created.
"2021-01-21T19:12:28Z"The number of declined porting attempts so far.
0>= 0The code reason for the declined porting.
"portingPhoneNumberPortProtected"The reason description for the declined porting.
"The phone number has port protection on the provider."Whether the donor provider has approved or not the porting.
trueTime when the porting was expired.
"2021-01-21T19:39:53Z"Time when the porting was failed.
"2021-01-21T19:39:53Z"The first name of the account holder on the donor service provider.
"Jerry"Time when the porting was last declined.
"2021-01-21T19:31:13Z"The last name of the account holder on the donor service provider.
"Seinfeld"Time when the porting was last requested.
"2021-01-21T19:22:31Z"The phone number to port in E.164 string_format.
"+19591234567"The ID of the recipient network provider.
"p9"List of fields required for the porting to be processable. The fields depend on the donor and recipient providers.
["accountNumber","accountPin","accountType","address","birthday","donorProvider","donorProviderApproval","firstName","lastName"]Date when the porting is scheduled to take effect.
This returns the provider-confirmed date when available, otherwise the user-requested date.
The ability to schedule portings is only available for local plans in the United Kingdom. Otherwise, this value will be null.
"2021-01-21"The current status of the porting.
draft initiated pending informationRequired requested declined completed canceled expired failed Unique identifier for the porting subscription.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"Unique identifier for the user this porting is for.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"{
"object": "porting",
"id": "prt_0SNlurA049MEWV39s2kSYqaat7ZS",
"accountNumber": "123456789",
"accountPinExists": true,
"accountType": "prepaidUnregistered",
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"behavior": "portIn",
"billingPinExists": true,
"birthday": "2017-07-21",
"canceledAt": "2021-01-21T19:39:53Z",
"completedAt": "2021-01-21T19:36:57Z",
"createdAt": "2021-01-21T19:12:28.0Z",
"declinedAttempts": 0,
"declinedCode": "portingPhoneNumberPortProtected",
"declinedMessage": "The phone number has port protection on the provider.",
"donorProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
{
"0": "p",
"1": "3"
}
]
},
"donorProviderApproval": true,
"expiredAt": "2021-01-21T19:39:53Z",
"failedAt": "2021-01-21T19:39:53Z",
"firstName": "Jerry",
"lastDeclinedAt": "2021-01-21T19:31:13Z",
"lastName": "Seinfeld",
"lastRequestedAt": "2021-01-21T19:22:31Z",
"phoneNumber": "+19591234567",
"provider": "p9",
"recipientProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
},
"required": [
"accountNumber",
"accountPin",
"accountType",
"address",
"birthday",
"donorProvider",
"donorProviderApproval",
"firstName",
"lastName"
],
"scheduledOn": "2021-01-21",
"status": "draft",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Returns a list of portings. The portings returned are sorted by creation date, with the most recently created portings appearing first.
The status to filter the portings by.
The unique identifier of the subscription to be filtered by.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"The unique identifier of the user to be filtered by.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"A cursor for use in pagination. The after parameter takes an object ID that defines the position in the list, only items immediately following the item with that ID will be returned.
A cursor for use in pagination. The before parameter takes an object ID that defines the position in the list, only items immediately preceding the item with that ID will be returned.
The limit of items to be returned in the list, between 0 and 200.
2010>= 0<= 200Returns a dictionary with an items property that contains an array of portings.
Type of object is always list.
list porting.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/portings \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "porting",
"id": "prt_0SNlurA049MEWV39s2kSYqaat7ZS",
"accountNumber": "123456789",
"accountPinExists": true,
"accountType": "prepaidUnregistered",
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"behavior": "portIn",
"billingPinExists": true,
"birthday": "2017-07-21",
"canceledAt": "2021-01-21T19:39:53Z",
"completedAt": "2021-01-21T19:36:57Z",
"createdAt": "2021-01-21T19:12:28Z",
"declinedAttempts": 0,
"declinedCode": "portingPhoneNumberPortProtected",
"declinedMessage": "The phone number has port protection on the provider.",
"donorProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
},
"donorProviderApproval": true,
"expiredAt": "2021-01-21T19:39:53Z",
"failedAt": "2021-01-21T19:39:53Z",
"firstName": "Jerry",
"lastDeclinedAt": "2021-01-21T19:31:13Z",
"lastName": "Seinfeld",
"lastRequestedAt": "2021-01-21T19:22:31Z",
"phoneNumber": "+19591234567",
"provider": "p9",
"recipientProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
},
"required": [
"accountNumber",
"accountPin",
"accountType",
"address",
"birthday",
"donorProvider",
"donorProviderApproval",
"firstName",
"lastName"
],
"scheduledOn": "2021-01-21",
"status": "draft",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Creates a new porting. It will be created in draft status and can be later used to create an order or subscription for the same provider.
Only some of the fields are required during creation. Some providers require additional fields which are listed in the required array property of the porting. It will remain in informationRequired status and will not be requested until all required information has been collected.
Related guide: How Porting Works
The account number on the donor service provider.
"123456789"The pin for the account on the donor service provider. This will be used only for the porting.
"1234"The type of account on the donor service provider. Required for portings in Ireland.
"prepaidUnregistered"postpaidMulti postpaidSingle prepaidRegistered prepaidUnregistered The behavior of the porting.
Use portIn to transfer the phone number from
the previous provider.
Use cancelOnly to cancel the previous service
without transferring the number. This behavior is currently only
available for local plans in the United Kingdom.
Defaults to portIn if no value is provided.
"portIn"portIncancelOnly portIn The billing pin for the account on the donor service provider. This will be used only for the porting.
"1234"The birthday of the account holder on the donor service provider.
"2017-07-21"The unique identifier of the donor service provider.
"svp_0SNlurA01K6GY5L0XJffY8"Whether the donor provider has approved or not the porting.
trueThe first name of the account holder.
"Jerry"The last name of the account holder.
"Seinfeld"The phone number to port in E.164 string_format.
"+19591234567"The name of the receiving network provider.
"p9"The date that the porting is scheduled to take effect.
This functionality is only available for local plans in the United Kingdom. Attempting to schedule a porting for a provider in any other country will result in an error.
Use null to indicate that the porting should be scheduled as soon as possible. Otherwise, the date provided must be in the future.
If, by the time the porting is used to create a subscription, the scheduled date has already passed, then the porting will instead occur as soon as possible.
"2021-01-21"Returns the created porting.
Type of object is always porting.
porting Unique identifier for the porting.
"prt_0SNlurA049MEWV39s2kSYqaat7ZS"The account number on the donor service provider.
"123456789"Whether the account PIN has been provided.
trueThe type of account on the donor service provider. This field is only used for portings in Ireland and may be null otherwise.
"prepaidUnregistered"postpaidMulti postpaidSingle prepaidRegistered prepaidUnregistered The behavior of the porting.
A value of portIn indicates that this porting
will transfer the phone number from the previous provider.
A porting with behavior cancelOnly will cancel
the previous service without transferring the number. This behavior is
currently only available for local plans in the United Kingdom.
"portIn"cancelOnly portIn Whether the billing PIN has been provided.
trueThe birthday of the account holder on the donor service provider.
"2017-07-21"Time when the porting was canceled.
"2021-01-21T19:39:53Z"Time when the porting was completed.
"2021-01-21T19:36:57Z"Time when the porting was created.
"2021-01-21T19:12:28Z"The number of declined porting attempts so far.
0>= 0The code reason for the declined porting.
"portingPhoneNumberPortProtected"The reason description for the declined porting.
"The phone number has port protection on the provider."Whether the donor provider has approved or not the porting.
trueTime when the porting was expired.
"2021-01-21T19:39:53Z"Time when the porting was failed.
"2021-01-21T19:39:53Z"The first name of the account holder on the donor service provider.
"Jerry"Time when the porting was last declined.
"2021-01-21T19:31:13Z"The last name of the account holder on the donor service provider.
"Seinfeld"Time when the porting was last requested.
"2021-01-21T19:22:31Z"The phone number to port in E.164 string_format.
"+19591234567"The ID of the recipient network provider.
"p9"List of fields required for the porting to be processable. The fields depend on the donor and recipient providers.
["accountNumber","accountPin","accountType","address","birthday","donorProvider","donorProviderApproval","firstName","lastName"]Date when the porting is scheduled to take effect.
This returns the provider-confirmed date when available, otherwise the user-requested date.
The ability to schedule portings is only available for local plans in the United Kingdom. Otherwise, this value will be null.
"2021-01-21"The current status of the porting.
draft initiated pending informationRequired requested declined completed canceled expired failed Unique identifier for the porting subscription.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"Unique identifier for the user this porting is for.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"curl https://api.gigs.com/projects/${GIGS_PROJECT}/portings \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"accountNumber": "123456789",
"accountPin": "1234",
"accountType": "prepaidUnregistered",
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"behavior": "portIn",
"billingPin": "1234",
"birthday": "2017-07-21",
"donorProvider": "svp_0SNlurA01K6GY5L0XJffY8",
"donorProviderApproval": true,
"firstName": "Jerry",
"lastName": "Seinfeld",
"phoneNumber": "+19591234567",
"provider": "p9",
"scheduledOn": "2021-01-21",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}'
{
"object": "porting",
"id": "prt_0SNlurA049MEWV39s2kSYqaat7ZS",
"accountNumber": "123456789",
"accountPinExists": true,
"accountType": "prepaidUnregistered",
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"behavior": "portIn",
"billingPinExists": true,
"birthday": "2017-07-21",
"canceledAt": "2021-01-21T19:39:53Z",
"completedAt": "2021-01-21T19:36:57Z",
"createdAt": "2021-01-21T19:12:28Z",
"declinedAttempts": 0,
"declinedCode": "portingPhoneNumberPortProtected",
"declinedMessage": "The phone number has port protection on the provider.",
"donorProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
},
"donorProviderApproval": true,
"expiredAt": "2021-01-21T19:39:53Z",
"failedAt": "2021-01-21T19:39:53Z",
"firstName": "Jerry",
"lastDeclinedAt": "2021-01-21T19:31:13Z",
"lastName": "Seinfeld",
"lastRequestedAt": "2021-01-21T19:22:31Z",
"phoneNumber": "+19591234567",
"provider": "p9",
"recipientProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
},
"required": [
"accountNumber",
"accountPin",
"accountType",
"address",
"birthday",
"donorProvider",
"donorProviderApproval",
"firstName",
"lastName"
],
"scheduledOn": "2021-01-21",
"status": "draft",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Retrieves the details of an existing porting.
Returns the porting.
Type of object is always porting.
porting Unique identifier for the porting.
"prt_0SNlurA049MEWV39s2kSYqaat7ZS"The account number on the donor service provider.
"123456789"Whether the account PIN has been provided.
trueThe type of account on the donor service provider. This field is only used for portings in Ireland and may be null otherwise.
"prepaidUnregistered"postpaidMulti postpaidSingle prepaidRegistered prepaidUnregistered The behavior of the porting.
A value of portIn indicates that this porting
will transfer the phone number from the previous provider.
A porting with behavior cancelOnly will cancel
the previous service without transferring the number. This behavior is
currently only available for local plans in the United Kingdom.
"portIn"cancelOnly portIn Whether the billing PIN has been provided.
trueThe birthday of the account holder on the donor service provider.
"2017-07-21"Time when the porting was canceled.
"2021-01-21T19:39:53Z"Time when the porting was completed.
"2021-01-21T19:36:57Z"Time when the porting was created.
"2021-01-21T19:12:28Z"The number of declined porting attempts so far.
0>= 0The code reason for the declined porting.
"portingPhoneNumberPortProtected"The reason description for the declined porting.
"The phone number has port protection on the provider."Whether the donor provider has approved or not the porting.
trueTime when the porting was expired.
"2021-01-21T19:39:53Z"Time when the porting was failed.
"2021-01-21T19:39:53Z"The first name of the account holder on the donor service provider.
"Jerry"Time when the porting was last declined.
"2021-01-21T19:31:13Z"The last name of the account holder on the donor service provider.
"Seinfeld"Time when the porting was last requested.
"2021-01-21T19:22:31Z"The phone number to port in E.164 string_format.
"+19591234567"The ID of the recipient network provider.
"p9"List of fields required for the porting to be processable. The fields depend on the donor and recipient providers.
["accountNumber","accountPin","accountType","address","birthday","donorProvider","donorProviderApproval","firstName","lastName"]Date when the porting is scheduled to take effect.
This returns the provider-confirmed date when available, otherwise the user-requested date.
The ability to schedule portings is only available for local plans in the United Kingdom. Otherwise, this value will be null.
"2021-01-21"The current status of the porting.
draft initiated pending informationRequired requested declined completed canceled expired failed Unique identifier for the porting subscription.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"Unique identifier for the user this porting is for.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"curl https://api.gigs.com/projects/${GIGS_PROJECT}/portings/{porting} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "porting",
"id": "prt_0SNlurA049MEWV39s2kSYqaat7ZS",
"accountNumber": "123456789",
"accountPinExists": true,
"accountType": "prepaidUnregistered",
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"behavior": "portIn",
"billingPinExists": true,
"birthday": "2017-07-21",
"canceledAt": "2021-01-21T19:39:53Z",
"completedAt": "2021-01-21T19:36:57Z",
"createdAt": "2021-01-21T19:12:28Z",
"declinedAttempts": 0,
"declinedCode": "portingPhoneNumberPortProtected",
"declinedMessage": "The phone number has port protection on the provider.",
"donorProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
},
"donorProviderApproval": true,
"expiredAt": "2021-01-21T19:39:53Z",
"failedAt": "2021-01-21T19:39:53Z",
"firstName": "Jerry",
"lastDeclinedAt": "2021-01-21T19:31:13Z",
"lastName": "Seinfeld",
"lastRequestedAt": "2021-01-21T19:22:31Z",
"phoneNumber": "+19591234567",
"provider": "p9",
"recipientProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
},
"required": [
"accountNumber",
"accountPin",
"accountType",
"address",
"birthday",
"donorProvider",
"donorProviderApproval",
"firstName",
"lastName"
],
"scheduledOn": "2021-01-21",
"status": "draft",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Deletes a porting that is in the draft state.
Returns the porting.
Type of object is always porting.
porting Unique identifier for the porting.
"prt_0SNlurA049MEWV39s2kSYqaat7ZS"The account number on the donor service provider.
"123456789"Whether the account PIN has been provided.
trueThe type of account on the donor service provider. This field is only used for portings in Ireland and may be null otherwise.
"prepaidUnregistered"postpaidMulti postpaidSingle prepaidRegistered prepaidUnregistered The behavior of the porting.
A value of portIn indicates that this porting
will transfer the phone number from the previous provider.
A porting with behavior cancelOnly will cancel
the previous service without transferring the number. This behavior is
currently only available for local plans in the United Kingdom.
"portIn"cancelOnly portIn Whether the billing PIN has been provided.
trueThe birthday of the account holder on the donor service provider.
"2017-07-21"Time when the porting was canceled.
"2021-01-21T19:39:53Z"Time when the porting was completed.
"2021-01-21T19:36:57Z"Time when the porting was created.
"2021-01-21T19:12:28Z"The number of declined porting attempts so far.
0>= 0The code reason for the declined porting.
"portingPhoneNumberPortProtected"The reason description for the declined porting.
"The phone number has port protection on the provider."Whether the donor provider has approved or not the porting.
trueTime when the porting was expired.
"2021-01-21T19:39:53Z"Time when the porting was failed.
"2021-01-21T19:39:53Z"The first name of the account holder on the donor service provider.
"Jerry"Time when the porting was last declined.
"2021-01-21T19:31:13Z"The last name of the account holder on the donor service provider.
"Seinfeld"Time when the porting was last requested.
"2021-01-21T19:22:31Z"The phone number to port in E.164 string_format.
"+19591234567"The ID of the recipient network provider.
"p9"List of fields required for the porting to be processable. The fields depend on the donor and recipient providers.
["accountNumber","accountPin","accountType","address","birthday","donorProvider","donorProviderApproval","firstName","lastName"]Date when the porting is scheduled to take effect.
This returns the provider-confirmed date when available, otherwise the user-requested date.
The ability to schedule portings is only available for local plans in the United Kingdom. Otherwise, this value will be null.
"2021-01-21"The current status of the porting.
draft initiated pending informationRequired requested declined completed canceled expired failed Unique identifier for the porting subscription.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"Unique identifier for the user this porting is for.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"curl https://api.gigs.com/projects/${GIGS_PROJECT}/portings/{porting} \
-X DELETE \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "porting",
"id": "prt_0SNlurA049MEWV39s2kSYqaat7ZS",
"accountNumber": "123456789",
"accountPinExists": true,
"accountType": "prepaidUnregistered",
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"behavior": "portIn",
"billingPinExists": true,
"birthday": "2017-07-21",
"canceledAt": "2021-01-21T19:39:53Z",
"completedAt": "2021-01-21T19:36:57Z",
"createdAt": "2021-01-21T19:12:28Z",
"declinedAttempts": 0,
"declinedCode": "portingPhoneNumberPortProtected",
"declinedMessage": "The phone number has port protection on the provider.",
"donorProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
},
"donorProviderApproval": true,
"expiredAt": "2021-01-21T19:39:53Z",
"failedAt": "2021-01-21T19:39:53Z",
"firstName": "Jerry",
"lastDeclinedAt": "2021-01-21T19:31:13Z",
"lastName": "Seinfeld",
"lastRequestedAt": "2021-01-21T19:22:31Z",
"phoneNumber": "+19591234567",
"provider": "p9",
"recipientProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
},
"required": [
"accountNumber",
"accountPin",
"accountType",
"address",
"birthday",
"donorProvider",
"donorProviderApproval",
"firstName",
"lastName"
],
"scheduledOn": "2021-01-21",
"status": "draft",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Updates a porting with the given parameters.
Depending on the status of the porting, some fields may not be updated anymore. When all the required information is provided, the porting will be requested. If the porting is declined, it will be retried. To retry a porting without providing any new information, simply update the porting with an empty request.
Related guide: How Porting Works
The account number on the donor service provider.
"123456789"The pin for the account on the donor service provider. This will be used only for the porting.
"1234"The type of account on the donor service provider. Required for portings in Ireland.
"prepaidUnregistered"postpaidMulti postpaidSingle prepaidRegistered prepaidUnregistered The behavior of the porting.
Use portIn to transfer the phone number from
the previous provider.
Use cancelOnly to cancel the previous service
without transferring the number. This behavior is currently only
available for local plans in the United Kingdom.
This property is only updatable when the porting's status is draft.
"portIn"cancelOnly portIn The billing pin for the account on the donor service provider. This will be used only for the porting.
"1234"The birthday of the account holder on the donor service provider.
"2017-07-21"The unique identifier of the donor service provider.
"svp_0SNlurA01K6GY5L0XJffY8"Whether the donor provider has approved or not the porting.
trueThe first name of the account holder.
"Jerry"The last name of the account holder.
"Seinfeld"The phone number to port in E.164 string_format. This is only updatable when the porting is in a status of: draft
"+19591234567"The ID of the recipient network provider. This is only updatable when the porting is in a status of: draft
"p9"Date when the porting is scheduled to take effect.
The ability to schedule portings is only available for local plans in the United Kingdom. Attempting to schedule a porting for a provider in any other country will result in an error.
Use null to indicate that the porting should be scheduled as soon as possible. Otherwise, the date provided must be in the future.
"2021-01-21"Returns the updated porting.
Type of object is always porting.
porting Unique identifier for the porting.
"prt_0SNlurA049MEWV39s2kSYqaat7ZS"The account number on the donor service provider.
"123456789"Whether the account PIN has been provided.
trueThe type of account on the donor service provider. This field is only used for portings in Ireland and may be null otherwise.
"prepaidUnregistered"postpaidMulti postpaidSingle prepaidRegistered prepaidUnregistered The behavior of the porting.
A value of portIn indicates that this porting
will transfer the phone number from the previous provider.
A porting with behavior cancelOnly will cancel
the previous service without transferring the number. This behavior is
currently only available for local plans in the United Kingdom.
"portIn"cancelOnly portIn Whether the billing PIN has been provided.
trueThe birthday of the account holder on the donor service provider.
"2017-07-21"Time when the porting was canceled.
"2021-01-21T19:39:53Z"Time when the porting was completed.
"2021-01-21T19:36:57Z"Time when the porting was created.
"2021-01-21T19:12:28Z"The number of declined porting attempts so far.
0>= 0The code reason for the declined porting.
"portingPhoneNumberPortProtected"The reason description for the declined porting.
"The phone number has port protection on the provider."Whether the donor provider has approved or not the porting.
trueTime when the porting was expired.
"2021-01-21T19:39:53Z"Time when the porting was failed.
"2021-01-21T19:39:53Z"The first name of the account holder on the donor service provider.
"Jerry"Time when the porting was last declined.
"2021-01-21T19:31:13Z"The last name of the account holder on the donor service provider.
"Seinfeld"Time when the porting was last requested.
"2021-01-21T19:22:31Z"The phone number to port in E.164 string_format.
"+19591234567"The ID of the recipient network provider.
"p9"List of fields required for the porting to be processable. The fields depend on the donor and recipient providers.
["accountNumber","accountPin","accountType","address","birthday","donorProvider","donorProviderApproval","firstName","lastName"]Date when the porting is scheduled to take effect.
This returns the provider-confirmed date when available, otherwise the user-requested date.
The ability to schedule portings is only available for local plans in the United Kingdom. Otherwise, this value will be null.
"2021-01-21"The current status of the porting.
draft initiated pending informationRequired requested declined completed canceled expired failed Unique identifier for the porting subscription.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"Unique identifier for the user this porting is for.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"curl https://api.gigs.com/projects/${GIGS_PROJECT}/portings/{porting} \
-X PATCH \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"accountNumber": "123456789",
"accountPin": "1234",
"accountType": "prepaidUnregistered",
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"behavior": "portIn",
"billingPin": "1234",
"birthday": "2017-07-21",
"donorProvider": "svp_0SNlurA01K6GY5L0XJffY8",
"donorProviderApproval": true,
"firstName": "Jerry",
"lastName": "Seinfeld",
"phoneNumber": "+19591234567",
"provider": "p9",
"scheduledOn": "2021-01-21"
}'
{
"object": "porting",
"id": "prt_0SNlurA049MEWV39s2kSYqaat7ZS",
"accountNumber": "123456789",
"accountPinExists": true,
"accountType": "prepaidUnregistered",
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"behavior": "portIn",
"billingPinExists": true,
"birthday": "2017-07-21",
"canceledAt": "2021-01-21T19:39:53Z",
"completedAt": "2021-01-21T19:36:57Z",
"createdAt": "2021-01-21T19:12:28Z",
"declinedAttempts": 0,
"declinedCode": "portingPhoneNumberPortProtected",
"declinedMessage": "The phone number has port protection on the provider.",
"donorProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
},
"donorProviderApproval": true,
"expiredAt": "2021-01-21T19:39:53Z",
"failedAt": "2021-01-21T19:39:53Z",
"firstName": "Jerry",
"lastDeclinedAt": "2021-01-21T19:31:13Z",
"lastName": "Seinfeld",
"lastRequestedAt": "2021-01-21T19:22:31Z",
"phoneNumber": "+19591234567",
"provider": "p9",
"recipientProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
},
"required": [
"accountNumber",
"accountPin",
"accountType",
"address",
"birthday",
"donorProvider",
"donorProviderApproval",
"firstName",
"lastName"
],
"scheduledOn": "2021-01-21",
"status": "draft",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Cancels a porting. A porting can be cancelled in the following situations:
initiated, declined or informationRequired state,requested state and it is scheduled for a future date that is within the provider's cancellation window.Canceling a porting will result in the activation of the subscription with a new number. To cancel the whole process, end the subscription instead.
Returns the canceled porting.
Type of object is always porting.
porting Unique identifier for the porting.
"prt_0SNlurA049MEWV39s2kSYqaat7ZS"The account number on the donor service provider.
"123456789"Whether the account PIN has been provided.
trueThe type of account on the donor service provider. This field is only used for portings in Ireland and may be null otherwise.
"prepaidUnregistered"postpaidMulti postpaidSingle prepaidRegistered prepaidUnregistered The behavior of the porting.
A value of portIn indicates that this porting
will transfer the phone number from the previous provider.
A porting with behavior cancelOnly will cancel
the previous service without transferring the number. This behavior is
currently only available for local plans in the United Kingdom.
"portIn"cancelOnly portIn Whether the billing PIN has been provided.
trueThe birthday of the account holder on the donor service provider.
"2017-07-21"Time when the porting was canceled.
"2021-01-21T19:39:53Z"Time when the porting was completed.
"2021-01-21T19:36:57Z"Time when the porting was created.
"2021-01-21T19:12:28Z"The number of declined porting attempts so far.
0>= 0The code reason for the declined porting.
"portingPhoneNumberPortProtected"The reason description for the declined porting.
"The phone number has port protection on the provider."Whether the donor provider has approved or not the porting.
trueTime when the porting was expired.
"2021-01-21T19:39:53Z"Time when the porting was failed.
"2021-01-21T19:39:53Z"The first name of the account holder on the donor service provider.
"Jerry"Time when the porting was last declined.
"2021-01-21T19:31:13Z"The last name of the account holder on the donor service provider.
"Seinfeld"Time when the porting was last requested.
"2021-01-21T19:22:31Z"The phone number to port in E.164 string_format.
"+19591234567"The ID of the recipient network provider.
"p9"List of fields required for the porting to be processable. The fields depend on the donor and recipient providers.
["accountNumber","accountPin","accountType","address","birthday","donorProvider","donorProviderApproval","firstName","lastName"]Date when the porting is scheduled to take effect.
This returns the provider-confirmed date when available, otherwise the user-requested date.
The ability to schedule portings is only available for local plans in the United Kingdom. Otherwise, this value will be null.
"2021-01-21"The current status of the porting.
draft initiated pending informationRequired requested declined completed canceled expired failed Unique identifier for the porting subscription.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"Unique identifier for the user this porting is for.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"curl https://api.gigs.com/projects/${GIGS_PROJECT}/portings/{porting}/cancel \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "porting",
"id": "prt_0SNlurA049MEWV39s2kSYqaat7ZS",
"accountNumber": "123456789",
"accountPinExists": true,
"accountType": "prepaidUnregistered",
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"behavior": "portIn",
"billingPinExists": true,
"birthday": "2017-07-21",
"canceledAt": "2021-01-21T19:39:53Z",
"completedAt": "2021-01-21T19:36:57Z",
"createdAt": "2021-01-21T19:12:28Z",
"declinedAttempts": 0,
"declinedCode": "portingPhoneNumberPortProtected",
"declinedMessage": "The phone number has port protection on the provider.",
"donorProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
},
"donorProviderApproval": true,
"expiredAt": "2021-01-21T19:39:53Z",
"failedAt": "2021-01-21T19:39:53Z",
"firstName": "Jerry",
"lastDeclinedAt": "2021-01-21T19:31:13Z",
"lastName": "Seinfeld",
"lastRequestedAt": "2021-01-21T19:22:31Z",
"phoneNumber": "+19591234567",
"provider": "p9",
"recipientProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
},
"required": [
"accountNumber",
"accountPin",
"accountType",
"address",
"birthday",
"donorProvider",
"donorProviderApproval",
"firstName",
"lastName"
],
"scheduledOn": "2021-01-21",
"status": "draft",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
Searches for existing portings matching the given parameters.
The E.164-formatted phone number associated with the porting.
"+12065550123"Returns a list of portings matching the search criteria.
Type of object is always list.
list porting.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/portings/search \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"phoneNumber": "+12065550123"
}'
{
"object": "list",
"items": [
{
"object": "porting",
"id": "prt_0SNlurA049MEWV39s2kSYqaat7ZS",
"accountNumber": "123456789",
"accountPinExists": true,
"accountType": "prepaidUnregistered",
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"behavior": "portIn",
"billingPinExists": true,
"birthday": "2017-07-21",
"canceledAt": "2021-01-21T19:39:53Z",
"completedAt": "2021-01-21T19:36:57Z",
"createdAt": "2021-01-21T19:12:28Z",
"declinedAttempts": 0,
"declinedCode": "portingPhoneNumberPortProtected",
"declinedMessage": "The phone number has port protection on the provider.",
"donorProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
},
"donorProviderApproval": true,
"expiredAt": "2021-01-21T19:39:53Z",
"failedAt": "2021-01-21T19:39:53Z",
"firstName": "Jerry",
"lastDeclinedAt": "2021-01-21T19:31:13Z",
"lastName": "Seinfeld",
"lastRequestedAt": "2021-01-21T19:22:31Z",
"phoneNumber": "+19591234567",
"provider": "p9",
"recipientProvider": {
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
},
"required": [
"accountNumber",
"accountPin",
"accountType",
"address",
"birthday",
"donorProvider",
"donorProviderApproval",
"firstName",
"lastName"
],
"scheduledOn": "2021-01-21",
"status": "draft",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Returns a list of service providers. It is recommended that callers provide either a recipient provider or country to filter for relevant service providers.
This endpoint is currently in preview and might change in the future.
We’re excited to hear your feedback and ideas. Please send an email to support@gigs.com to share your thoughts.
Only return service providers that have the given network provider as supported porting recipient.
"p7"Only return service providers for the given country represented by the ISO 3166-1 alpha-2 country code.
"US"Returns a dictionary with an items property that contains an array of service providers.
Type of object is always list.
list serviceProvider.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/serviceProviders \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Retrieves the details of a service provider.
This endpoint is currently in preview and might change in the future.
We’re excited to hear your feedback and ideas. Please send an email to support@gigs.com to share your thoughts.
The unique identifier for the service provider.
"svp_0SNlurA01K6GY5L0XJffY8"Returns the service provider object if it exists.
Type of object is always serviceProvider.
serviceProvider Unique identifier for the service provider.
"svp_0SNlurA01K6GY5L0XJffY8"The ISO 3166-1 alpha-2 country code of the service provider.
"US"The name of the service provider, usually a brand name.
"AT&T"List of network providers IDs that can receive portings from the service provider.
p3curl https://api.gigs.com/serviceProviders/{serviceProvider} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "serviceProvider",
"id": "svp_0SNlurA01K6GY5L0XJffY8",
"country": "US",
"name": "AT&T",
"recipientProviders": [
"p3"
]
}